| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Misc.Calendar

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes
Signals

Description
Displays a calendar and allows the user to select a date
Synopsis

data Calendar
class WidgetClass o => CalendarClass o
castToCalendar :: GObjectClass obj => obj -> Calendar
toCalendar :: CalendarClass o => o -> Calendar

data CalendarDisplayOptions

= CalendarShowHeading
| CalendarShowDayNames
| CalendarNoMonthChange
| CalendarShowWeekNumbers
| CalendarWeekStartMonday
| CalendarShowDetails

calendarNew :: IO Calendar
calendarSelectMonth :: CalendarClass self => self -> Int -> Int -> IO Bool
calendarSelectDay :: CalendarClass self => self -> Int -> IO ()
calendarMarkDay :: CalendarClass self => self -> Int -> IO Bool
calendarUnmarkDay :: CalendarClass self => self -> Int -> IO Bool
calendarClearMarks :: CalendarClass self => self -> IO ()
calendarDisplayOptions :: CalendarClass self => self -> [CalendarDisplayOptions] -> IO ()
calendarSetDisplayOptions :: CalendarClass self => self -> [CalendarDisplayOptions] -> IO ()
calendarGetDisplayOptions :: CalendarClass self => self -> IO [CalendarDisplayOptions]
calendarGetDate :: CalendarClass self => self -> IO (Int, Int, Int)
calendarFreeze :: CalendarClass self => self -> IO a -> IO a
calendarYear :: CalendarClass self => Attr self Int
calendarMonth :: CalendarClass self => Attr self Int
calendarDay :: CalendarClass self => Attr self Int
calendarShowHeading :: CalendarClass self => Attr self Bool
calendarShowDayNames :: CalendarClass self => Attr self Bool
calendarNoMonthChange :: CalendarClass self => Attr self Bool
calendarShowWeekNumbers :: CalendarClass self => Attr self Bool
onDaySelected :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterDaySelected :: CalendarClass self => self -> IO () -> IO (ConnectId self)
onDaySelectedDoubleClick :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterDaySelectedDoubleClick :: CalendarClass self => self -> IO () -> IO (ConnectId self)
onMonthChanged :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterMonthChanged :: CalendarClass self => self -> IO () -> IO (ConnectId self)
onNextMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterNextMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
onNextYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterNextYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
onPrevMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterPrevMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
onPrevYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterPrevYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)

Detail

`Calendar` is a widget that displays a calendar, one month at a time. It can be created with `calendarNew`.

The month and year currently displayed can be altered with `calendarSelectMonth`. The exact day can be selected from the displayed month using `calendarSelectDay`.

To place a visual marker on a particular day, use `calendarMarkDay` and to remove the marker, `calendarUnmarkDay`. Alternative, all marks can be cleared with `calendarClearMarks`.

The way in which the calendar itself is displayed can be altered using `calendarSetDisplayOptions`.

The selected date can be retrieved from a `Calendar` using `calendarGetDate`.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Calendar

Types
data Calendar

Instances

GObjectClass Calendar
CalendarClass Calendar
WidgetClass Calendar
ObjectClass Calendar

class WidgetClass o => CalendarClass o

Instances

CalendarClass Calendar

castToCalendar :: GObjectClass obj => obj -> Calendar
toCalendar :: CalendarClass o => o -> Calendar
data CalendarDisplayOptions

Specify which items of a calendar should be displayed.
Constructors

CalendarShowHeading |
CalendarShowDayNames |
CalendarNoMonthChange |
CalendarShowWeekNumbers |
CalendarWeekStartMonday |
CalendarShowDetails |

Instances

Bounded CalendarDisplayOptions
Enum CalendarDisplayOptions
Eq CalendarDisplayOptions
Show CalendarDisplayOptions
Flags CalendarDisplayOptions

Constructors
calendarNew :: IO Calendar
Creates a new calendar, with the current date being selected.
Methods
calendarSelectMonth

:: CalendarClass self |
=> self |
-> Int | `month` - a month number between 0 and 11.
-> Int | `year` - the year the month is in.
-> IO Bool | returns `True`, always
Shifts the calendar to a different month.

calendarSelectDay

:: CalendarClass self |
=> self |
-> Int | `day` - the day number between 1 and 31, or 0 to unselect the currently selected day.
-> IO () |
Selects a day from the current month.

calendarMarkDay

:: CalendarClass self |
=> self |
-> Int | `day` - the day number to mark between 1 and 31.
-> IO Bool | returns `True`, always
Places a visual marker on a particular day.

calendarUnmarkDay

:: CalendarClass self |
=> self |
-> Int | `day` - the day number to unmark between 1 and 31.
-> IO Bool | returns `True`, always
Removes the visual marker from a particular day.

calendarClearMarks :: CalendarClass self => self -> IO ()
Remove all visual markers.
calendarDisplayOptions :: CalendarClass self => self -> [CalendarDisplayOptions] -> IO ()

Sets display options (whether to display the heading and the month headings).

- Warning: this function is deprecated and should not be used in newly-written code. Use `calendarSetDisplayOptions` instead.

calendarSetDisplayOptions :: CalendarClass self => self -> [CalendarDisplayOptions] -> IO ()

Sets display options (whether to display the heading and the month headings).

- Available since Gtk+ version 2.4

calendarGetDisplayOptions :: CalendarClass self => self -> IO [CalendarDisplayOptions]

Returns the current display options for the calendar.

- Available since Gtk+ version 2.4

calendarGetDate

:: CalendarClass self |
=> self |

-> IO (Int, Int, Int)

    (year, month, day)

Retrieve the currently selected date.

calendarFreeze

:: CalendarClass self |
=> self |
-> IO a | An action that performs several update operations on the calendar. After the action finnishes all the changes made by it are displayed.
-> IO a |

Does nothing. Previously locked the display of the calendar for several update operations.

- Warning: this function is deprecated and should not be used in newly-written code.

Attributes
calendarYear :: CalendarClass self => Attr self Int
The selected year. Allowed values: >= 0 Default value: 0
calendarMonth :: CalendarClass self => Attr self Int
The selected month (as a number between 0 and 11). Allowed values: [0,11] Default value: 0
calendarDay :: CalendarClass self => Attr self Int
The selected day (as a number between 1 and 31, or 0 to unselect the currently selected day). Allowed values: [0,31] Default value: 0
calendarShowHeading :: CalendarClass self => Attr self Bool
Determines whether a heading is displayed. Default value: `True`
calendarShowDayNames :: CalendarClass self => Attr self Bool
Determines whether day names are displayed. Default value: `True`
calendarNoMonthChange :: CalendarClass self => Attr self Bool
Determines whether the selected month can be changed. Default value: `False`
calendarShowWeekNumbers :: CalendarClass self => Attr self Bool
Determines whether week numbers are displayed. Default value: `False`
Signals
onDaySelected :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterDaySelected :: CalendarClass self => self -> IO () -> IO (ConnectId self)
'displayOptions' property. See `calendarGetDisplayOptions` and `calendarSetDisplayOptions` calendarDisplayOptions :: CalendarClass self => Attr self [CalendarDisplayOptions] calendarDisplayOptions = newAttr calendarGetDisplayOptions calendarSetDisplayOptions Emitted when a day was selected.
onDaySelectedDoubleClick :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterDaySelectedDoubleClick :: CalendarClass self => self -> IO () -> IO (ConnectId self)
Emitted when a day received a double click.
onMonthChanged :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterMonthChanged :: CalendarClass self => self -> IO () -> IO (ConnectId self)
The month changed.
onNextMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterNextMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
The next month was selected.
onNextYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterNextYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
The next year was selected.
onPrevMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterPrevMonth :: CalendarClass self => self -> IO () -> IO (ConnectId self)
The previous month was selected.
onPrevYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
afterPrevYear :: CalendarClass self => self -> IO () -> IO (ConnectId self)
The previous year was selected.
Produced by Haddock version 2.4.2